<template>
  <div>
    <the-header header="Mes élèves" />
    <div>
      <div @click="addEleve()" id="addEleve" class="pb-10">
        <add-card-item :enable="true" :image="'studentM.svg'" />
      </div>
      <div
        class="grid gap-5 grid-cols-1 sm:grid-cols-2 md:grid-cols-3 xl:grid-cols-4"
      >
        <div v-for="eleve in eleves" :key="eleve.id">
          <eleve-card-item
            :eleve="eleve"
            :showMoyenne="true"
            class="list-complete-item"
            @onUpdateClick="updateEleve"
            @click.native="selectEleve(eleve)"
          />
        </div>
      </div>
    </div>

    <div>
      <modal-add-eleve
        v-if="modalOpen"
        v-model="modalOpen"
        @closeRequest="modalOpen = false"
        :updatedEleve="updatedEleve"
      />
    </div>
  </div>
</template>

<script>
import AddCardItem from "../components/AddCardItem.vue";
import ModalAddEleve from "../components/modals/ModalAddEleve.vue";
import EleveCardItem from "../components/EleveCardItem.vue";
import TheHeader from "../components/reusable/TheHeader.vue";

export default {
  name: "elevesPage",
  components: { AddCardItem, ModalAddEleve, EleveCardItem, TheHeader },

  created() {
    /*     this.$store.dispatch("bindEleves", this.classe);
    this.$store.dispatch("bindEvaluations", this.classe); */
  },
  data() {
    return {
      modalOpen: false,
      updatedEleve: {},
    };
  },
  methods: {
    addEleve() {
      this.updatedEleve = {};
      this.modalOpen = true;
    },
    updateEleve(eleve) {
      this.updatedEleve = eleve;
      this.modalOpen = true;
    },
    selectEleve(eleve) {
      this.$router.push({ path: eleve.id, append: true });
    },
  },

  computed: {
    eleves() {
      return this.$store.state.eleves;
    },
    classe() {
      return this.$store.getters.getOneClasse(this.$route.params.classeid);
    },
  },
};
</script>